# TdApi.MessagePhoto (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessagePhoto

Package it.tdlight.jni

# Class TdApi.MessagePhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessagePhoto

Enclosing class:
  TdApi

    public static class TdApi.MessagePhoto
    extends TdApi.MessageContent

A photo message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.FormattedText` | `caption` | Photo caption.
`static int` | `CONSTRUCTOR` |
`boolean` | `isSecret` | True, if the photo must be blurred and must be shown only while tapped.
`TdApi.Photo` | `photo` | The photo description.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessagePhoto()` | A photo message.
`MessagePhoto​(TdApi.Photo photo, TdApi.FormattedText caption, boolean isSecret)` | A photo message.
`MessagePhoto​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.Photo photo
The photo description.

### caption

public TdApi.FormattedText caption
Photo caption.

### isSecret

public boolean isSecret
True, if the photo must be blurred and must be shown only while tapped.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessagePhoto

public MessagePhoto()
A photo message.

### MessagePhoto

public MessagePhoto​(TdApi.Photo photo, TdApi.FormattedText caption, boolean isSecret)
A photo message.

Parameters:
  `photo` - Photo The photo description.
  `caption` - FormattedText Photo caption.
  `isSecret` - boolean True, if the photo must be blurred and must be shown only while tapped.

### MessagePhoto

public MessagePhoto​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`